LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XVolatileBitmap Interface Reference

This is a specialized interface to a volatile bitmap (which can become invalid at any point in time). More...

`import"XVolatileBitmap.idl";`

Inheritance diagram for XVolatileBitmap:

## Public Member Functions
boolean | isValid ()
| Query whether this volatile bitmap still has valid content. More...
Public Member Functions inherited from XBitmap
::com::sun::star::geometry::IntegerSize2D | getSize ()
| Query the size of the bitmap. More...
boolean | hasAlpha ()
| Query transparency status of the bitmap. More...
XBitmap | getScaledBitmap ([in] ::com::sun::star::geometry::RealSize2D newSize, [in] boolean beFast) raises (com::sun::star::lang::IllegalArgumentException, VolatileContentDestroyedException)
| Query a scaled copy of the original bitmap. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This is a specialized interface to a volatile bitmap (which can become invalid at any point in time).

## Member Function Documentation

## ◆ isValid()

boolean isValid | ( |  | ) |

Query whether this volatile bitmap still has valid content.

As the video RAM allocated to this bitmap can be reclaimed at any time, a return value of true here does not imply that the next draw operation with this bitmap will succeed. Instead, the exception VolatileContentDestroyed might then be thrown, if lost bitmap data is accessed.

The documentation for this interface was generated from the following file:

- com/sun/star/rendering/XVolatileBitmap.idl